use std::fs;

mod lexer;

fn main() {
    let inp = fs::read_to_string("./test.as");
    match inp {
        Result::Ok(data) => {
            let lexed = lexer::lex(data);
            println!("Lexer output: ");
            for token in lexed {
                println!("  {}: {:?}: {}", token.pos, token.typ, token.value);
            }
        },
        Result::Err(err) => {
            panic!("Error while reading file: {}", err)
        }
    }
}